﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SharpMIDI_Example2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            /*
             * Initializing SharpMIDI. Call this method only once, but before
             * the creation of proxy objects.
             * */
            try
            {
                SharpMidi.Core.Init();

                SharpMidi.Proxy p1 = new SharpMidi.Proxy();
                int num = p1.midiOutGetNumDevs();

                listBox1.Items.Clear();
                listBox1.Items.Add(p1.midiOutGetDevCaps(-1));       //Add MS Sound Mapper to list
                for (int i = 0; i < num; i++)                       //Add other devices
                {
                    listBox1.Items.Add(p1.midiOutGetDevCaps(i));
                }
            }
            catch (Exception e)
            {
                MessageBox.Show(e.ToString());
                Application.Exit();
            }
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (listBox1.SelectedItem == null) return;
            SharpMidi.Proxy.MidiOutCaps c = listBox1.SelectedItem as SharpMidi.Proxy.MidiOutCaps;

            textBox1.Text = c.Name;
            textBox2.Text = c.ManufacturerCode;
            textBox3.Text = c.ProductCode;
            textBox4.Text = c.DriverVersion;
            textBox5.Text = c.TechnologyInEnglish;
            textBox6.Text = c.Voices.ToString();
            textBox7.Text = c.MaxNotes.ToString();
            textBox8.Text = c.ChannelMaskHEX;
            textBox9.Text = c.SupportInEnglish;
        }
    }
}
